//
//  CUMapPathView.h
//  CUMapViewExample
//
//  Created by curer yg on 12-3-21.
//  Copyright (c) 2012年 zhubu. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>

#import "Place.h"
#import "PlaceMark.h"

@class CUMapPathView;
@protocol CUMapPathViewDelegate <NSObject>

@optional
- (void)CUMapPathVeiwRequestFinish:(CUMapPathView *)mapPathView;
- (void)CUMapPathViewRequestFailed:(CUMapPathView *)mapPathView withError:(NSError *)error;
@end

@interface CUMapPathView : UIView <MKMapViewDelegate>
{
    MKMapView* mapView;
    
    UIImageView* routeView;
	
	UIColor* lineColor;
    
    id<CUMapPathViewDelegate> delegate;
    
    NSArray *routeArray;
}

@property (nonatomic, retain) UIColor* lineColor;

- (void)showRouteFrom:(Place *)src to:(Place *)des;

@end